using System;
using System.Collections;
using Server.Items;
using Server.Targeting;

namespace Server.Mobiles
{
	[CorpseName( "a slimey corpse" )]
	public class Sludge : BaseCreature
	{
		[Constructable]
		public Sludge() : base( AIType.AI_Melee, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Name = "a pile of sludge";
			Body = 192;
			BaseSoundID = 456;

			SetStr( 122, 134 );
			SetDex( 66, 71 );
			SetInt( 16, 20 );

			SetHits( 115, 119 );

			SetDamage( 8, 17 );

			SetSkill( SkillName.Poisoning, 70.1, 90.0 );
			SetSkill( SkillName.MagicResist, 55.1, 60.0 );
			SetSkill( SkillName.Tactics, 59.3, 74.0 );
			SetSkill( SkillName.HandToHand, 59.3, 84.0 );

			Fame = 2500;
			Karma = -2500;

			VirtualArmor = 28;
		}

		public override void GenerateLoot()
		{
			AddLoot( LootPack.Average, 2 );
			AddLoot( LootPack.Gems, 3 );
		}

		public override Poison PoisonImmune{ get{ return Poison.Lethal; } }
		public override Poison HitPoison{ get{ return Poison.Greater; } }

		public Sludge( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}
